> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockworksresearch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Optimism: Transactions (Failed)

> Daily number of transactions where a failure occurred.

## Overview

* **Denomination:** Count
* **Type:** Integer
* **Interval:** Daily
* **Source:** Blockworks

## Example Request

<CodeGroup>
  ```bash cURL theme={null}
  curl -H "x-api-key: YOUR_API_KEY" \
    "https://api.blockworks.com/v1/metrics/transaction-fail-total?project=optimism"
  ```

  ```typescript TypeScript theme={null}
  const res = await fetch(
    'https://api.blockworks.com/v1/metrics/transaction-fail-total?project=optimism',
    { headers: { 'x-api-key': 'YOUR_API_KEY' } }
  )
  const data = await res.json()
  ```

  ```python Python theme={null}
  import requests

  r = requests.get(
    'https://api.blockworks.com/v1/metrics/transaction-fail-total',
    headers={'x-api-key': 'YOUR_API_KEY'},
    params={'project': 'optimism'}
  )
  data = r.json()
  ```
</CodeGroup>

## Example Response

```json theme={null}
{
  "optimism": [
    {
      "date": "2026-04-19",
      "value": 136188
    },
    {
      "date": "2026-04-18",
      "value": 123232
    },
    {
      "date": "2026-04-17",
      "value": 153392
    },
    {
      "date": "2026-04-16",
      "value": 175825
    },
    {
      "date": "2026-04-15",
      "value": 150484
    }
  ]
}
```

## Notes

* Intervals are daily unless otherwise noted.
* Data is updated daily and may be revised after late-arriving data.


## OpenAPI

````yaml GET /v1/metrics/transaction-fail-total
openapi: 3.0.0
info:
  title: Blockworks API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.blockworks.com
security:
  - x-api-key: []
tags: []
paths:
  /v1/metrics/transaction-fail-total:
    get:
      summary: Transaction Fail Total
      description: Retrieve the 'transaction-fail-total' metric for supported projects.
      operationId: MetricController_getResults_v1_transaction_fail_total
      parameters:
        - name: project
          in: query
          required: true
          description: Project slug (comma-separated for multiple).
          schema:
            type: string
            enum:
              - aptos
              - arbitrum
              - avalanche
              - base
              - berachain
              - bnb
              - bob
              - boba
              - celestia
              - ethereum
              - fogo
              - hyperevm
              - ink
              - katana
              - megaeth
              - mode
              - monad
              - optimism
              - plasma
              - polygon
              - shape
              - solana
              - superseed
              - tron
              - unichain
              - worldchain
              - zksync
              - zora
            example: aptos
          examples:
            aptos:
              value: aptos
              summary: Aptos
            arbitrum:
              value: arbitrum
              summary: Arbitrum
            avalanche:
              value: avalanche
              summary: Avalanche
            base:
              value: base
              summary: Base
            berachain:
              value: berachain
              summary: Berachain
            bnb:
              value: bnb
              summary: Bnb
            bob:
              value: bob
              summary: Bob
            boba:
              value: boba
              summary: Boba
            celestia:
              value: celestia
              summary: Celestia
            ethereum:
              value: ethereum
              summary: Ethereum
            fogo:
              value: fogo
              summary: Fogo
            hyperevm:
              value: hyperevm
              summary: Hyperevm
            ink:
              value: ink
              summary: Ink
            katana:
              value: katana
              summary: Katana
            megaeth:
              value: megaeth
              summary: Megaeth
            mode:
              value: mode
              summary: Mode
            monad:
              value: monad
              summary: Monad
            optimism:
              value: optimism
              summary: Optimism
            plasma:
              value: plasma
              summary: Plasma
            polygon:
              value: polygon
              summary: Polygon
            shape:
              value: shape
              summary: Shape
            solana:
              value: solana
              summary: Solana
            superseed:
              value: superseed
              summary: Superseed
            tron:
              value: tron
              summary: Tron
            unichain:
              value: unichain
              summary: Unichain
            worldchain:
              value: worldchain
              summary: Worldchain
            zksync:
              value: zksync
              summary: Zksync
            zora:
              value: zora
              summary: Zora
            multi:
              value: aptos,arbitrum
              summary: Aptos + Arbitrum
        - name: start_date
          in: query
          required: false
          schema:
            type: string
            format: date
          description: Start date (YYYY-MM-DD)
        - name: end_date
          in: query
          required: false
          schema:
            type: string
            format: date
          description: End date (YYYY-MM-DD)
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  type: array
                  items:
                    type: object
                    additionalProperties: true
              example:
                projectName:
                  - date: '2025-08-10'
                    value: 123456
                  - date: '2025-08-11'
                    value: 234567
                  - date: '2025-08-12'
                    value: 345678
        '400':
          description: Bad Request
        '404':
          description: Not Found
      security:
        - x-api-key: []
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````